Bug 1327833 - Eclipse crashes when trying to open "Configure Contents" in "Problems" View
Summary: Eclipse crashes when trying to open "Configure Contents" in "Problems" View
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-16 15:28 UTC by Christian Stadelmann
Modified: 2016-07-02 14:27 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-02 13:44:24 UTC


Attachments (Terms of Use)
the hs_err_pid log file (139.61 KB, text/plain)
2016-04-16 15:28 UTC, Christian Stadelmann
no flags Details
File: backtrace (194.61 KB, text/plain)
2016-06-24 16:33 UTC, Thom Carlin
no flags Details

Description Christian Stadelmann 2016-04-16 15:28:45 UTC
Created attachment 1147913 [details]
the hs_err_pid log file

Description of problem:
Eclipse crashes when clicking a specific menu item

Version-Release number of selected component (if applicable):
eclipse-swt-4.5.2-9.fc24.x86_64
gtk3-3.20.3-1.fc24.x86_64
java-1.8.0-openjdk-headless-1.8.0.77-1.b03.fc24.x86_64


How reproducible:
always on the single machine tested

Steps to Reproduce:
1. open eclipse
2. open a project with problems
3. open problems view
4. in problems view, press the dropdown menu button
5. from menu, click on "Configure Contents"

Actual results:
Eclipse crashes

Expected results:
no crash

Additional info:
Sadly, due to bug #1283389, this issue cannot be reported by abrt.

From java crash output on CLI:
# JRE version: OpenJDK Runtime Environment (8.0_77-b03) (build 1.8.0_77-b03)
# Java VM: OpenJDK 64-Bit Server VM (25.77-b03 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgtk-3.so.0+0x17c7f6]  gtk_css_provider_load_from_data+0x26

Comment 1 Christian Stadelmann 2016-04-18 09:29:49 UTC
https://git.gnome.org/browse/gtk+/commit/gtk?id=96f0ed9ec5b5b071efabb15b03c37f40df7ae3b1 might be related

Comment 2 Alexander Kurtakov 2016-04-18 09:32:13 UTC
Would you please try with Neon I-builds? This issue should be fixed there but Mars stream is closed for development.

Comment 3 Alexander Kurtakov 2016-04-18 09:35:06 UTC
Oops, mixed bugzilla instances. Mat, should we try to identify the patch to backport? I would vote for pushing Neon builds as from upstream work I'm expecting many such issues so backporting all of them is probably not feasible.

Comment 4 Christian Stadelmann 2016-04-18 09:55:29 UTC
(In reply to Alexander Kurtakov from comment #2)
> Would you please try with Neon I-builds? This issue should be fixed there
> but Mars stream is closed for development.

I guess you meant me. Where do I get them?

https://www.eclipse.org/downloads/ seems to be offline. eclipse.org is loading pretty slow or not at all.

https://copr.fedorainfracloud.org/coprs/mbooth/eclipse-neon/ has 4 months old builds

It doesn't seem to be in Fedora 25 aka rawhide yet.

Comment 5 Alexander Kurtakov 2016-04-18 10:19:17 UTC
Sorry Christian, I thought I was replying in eclipse.org bz. Let's give Mat some time to jump in, we have to provide Neon builds for f24 (the sooner the better).

Comment 6 Christian Stadelmann 2016-04-19 09:45:58 UTC
*** Bug 1328388 has been marked as a duplicate of this bug. ***

Comment 7 Christian Stadelmann 2016-04-19 09:47:26 UTC
Now that abrt/uReport works again, I've reported the crasher as bug #1328388 which might be a duplicate of bug #1264644 and bug #1264512

Comment 8 Mat Booth 2016-04-25 11:07:04 UTC
Hi,

Eclipse Neon is now available for F25 (Rawhide).

Once I'm happy everything works, backporting Neon to F24 should be possible for the F24 release or F24 zero-day update.

Comment 9 Christian Stadelmann 2016-04-25 16:14:26 UTC
(In reply to Mat Booth from comment #8)
> Once I'm happy everything works, backporting Neon to F24 should be possible
> for the F24 release or F24 zero-day update.

Do you really want to ship a not-yet-released Eclipse (Neon) in F24? Or do you provide it in a separate repo?

Comment 10 Alexander Kurtakov 2016-04-25 18:12:59 UTC
(In reply to Christian Stadelmann from comment #9)
> (In reply to Mat Booth from comment #8)
> > Once I'm happy everything works, backporting Neon to F24 should be possible
> > for the F24 release or F24 zero-day update.
> 
> Do you really want to ship a not-yet-released Eclipse (Neon) in F24? Or do
> you provide it in a separate repo?

Today is the last development day for Neon upstream switching to bugfix mode till release in June. With RC2 on May 27 this is the most likely release. Due to the amount of changes in both Neon and Gtk 3.20 (in terms of CSS machinery) it's not feasible to backport all the changes needed so in order to provide usable Eclipse this is our only feasible path.

Comment 11 Christian Stadelmann 2016-04-25 20:36:58 UTC
(In reply to Alexander Kurtakov from comment #10)
> Today is the last development day for Neon upstream switching to bugfix mode
> till release in June. With RC2 on May 27 this is the most likely release.
> Due to the amount of changes in both Neon and Gtk 3.20 (in terms of CSS
> machinery) it's not feasible to backport all the changes needed so in order
> to provide usable Eclipse this is our only feasible path.

Ok, I didn't know that. Thanks for clarification!

Comment 12 Thom Carlin 2016-06-24 16:33:21 UTC
Similar problem has been detected:

Starting JBDS

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/lib/jvm/java/bin/java -javaagent:/home/<username>/jbdevstudio9/studio/plugins/com.zeroturnaround.eclipse.optimizer.plugin_1.0.9/agent/eclipse-optimizer-agent.jar -Xms512m -Xmx1024m -Dosgi.instance.area.default=@user.home/workspace -jar /home/<username>/jbdevstudio9/studio//plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /home/<username>/jbdevstudio9/studio/jbdevstudio -name Jbdevstudio --launcher.library /home/<username>/jbdevstudio9/studio//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.300.v20150602-1417/eclipse_1612.so -startup /home/<username>/jbdevstudio9/studio//plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar --launcher.overrideVmargs -exitdata 130003 -application org.eclipse.ui.ide.workbench -product com.jboss.devstudio.core.product -clean -vm /usr/lib/jvm/java/bin/java -vmargs -javaagent:/home/<username>/jbdevstudio9/studio/plugins/com.zeroturnaround.eclipse.optimizer.plugin_1.0.9/agent/eclipse-optimizer-agent.jar -Xms512m -Xmx1024m -Dosgi.instance.area.default=@user.home/workspace -jar /home/<username>/jbdevstudio9/studio//plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.92-1.b14.fc24.x86_64/bin/java
global_pid:     3710
kernel:         4.5.7-300.fc24.x86_64
package:        java-1.8.0-openjdk-devel-1.8.0.92-1.b14.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         java killed by SIGABRT
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Thom Carlin 2016-06-24 16:33:24 UTC
Created attachment 1171992 [details]
File: backtrace

Comment 14 Mat Booth 2016-07-02 12:44:52 UTC
(In reply to Thom Carlin from comment #12)
> Similar problem has been detected:
> 
> Starting JBDS
> 

Hi Thom, it looks like you are using some third-party edition of Eclipse and not the Fedora packaged version. Unfortunately we cannot support something that is not part of the distro -- you would be better reporting this problem to the JDBS people.

Comment 15 Mat Booth 2016-07-02 12:46:16 UTC
(In reply to Christian Stadelmann from comment #11)
> (In reply to Alexander Kurtakov from comment #10)
> > Today is the last development day for Neon upstream switching to bugfix mode
> > till release in June. With RC2 on May 27 this is the most likely release.
> > Due to the amount of changes in both Neon and Gtk 3.20 (in terms of CSS
> > machinery) it's not feasible to backport all the changes needed so in order
> > to provide usable Eclipse this is our only feasible path.
> 
> Ok, I didn't know that. Thanks for clarification!

Christian, is this problem fixed for you with Eclipse 4.6.0?

Comment 16 Christian Stadelmann 2016-07-02 13:44:24 UTC
I don't see this any more on eclipse-swt-4.6.0-0.6.git201605092000.fc24.x86_64 with both, x11 and wayland Gdk backends. Seems to be fixed.


Note You need to log in before you can comment on or make changes to this bug.